API ReferenceCosts

Cost grouped by tag value

GET
/api/v1/costs/by-tag

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

provider?Provider
tag_key?Tag Key
start?string|null
end?string|null
credits?Credits

Cost basis for Google Cloud: after credits (default) or before them. AWS stays on its invoiced basis.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/costs/by-tag"
{
  "success": true,
  "timestamp": "2019-08-24T14:15:22Z",
  "data": {
    "tag_key": "string",
    "origin": "provider",
    "teams": [
      {
        "id": "string",
        "label": "string",
        "total": 0,
        "total_pct": 0,
        "categories": {
          "compute": 0,
          "storage": 0,
          "network": 0,
          "database": 0,
          "other": 0
        }
      }
    ],
    "unmapped": {
      "total": 0
    },
    "credits": "before"
  }
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "property1": null,
  "property2": null
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}